SELECT *
FROM Ejendomsadministrator admin
-- Joins for person-/virksomhedsoplysning
LEFT JOIN PersonVirksomhedsoplys pv ON pv.id_lokalId = admin.personEllerVirksomhedLokalId [snippet_bitemp_virkning(pv)]
LEFT JOIN AlternativAdresse pv_alt_adresse ON pv_alt_adresse.id_lokalId = pv.alternativAdresseLokalId [snippet_bitemp_virkning(pv_alt_adresse)]
LEFT JOIN DAR.Adresse pv_dar_adresse ON pv_dar_adresse.id_lokalId = pv.adresseLokalId [snippet_bitemp_virkning(pv_dar_adresse)]
-- Joins for virksomhed
LEFT JOIN CVR.Virksomhed virksomhed ON virksomhed.CVRNummer = admin.virksomhedCVRNr [snippet_bitemp_virkning_cvr(virksomhed)]
LEFT JOIN CVR.Reklamebeskyttelse virksomhed_reklame_beskyttelse ON virksomhed_reklame_beskyttelse.CVREnhedsId = virksomhed.id [snippet_bitemp_virkning_cvr(virksomhed_reklame_beskyttelse)]
LEFT JOIN CVR.Navn virksomhed_navn ON virksomhed_navn.CVREnhedsId = virksomhed.id [snippet_bitemp_virkning_cvr(virksomhed_navn)]
LEFT JOIN CVR.Adressering virksomhed_cvr_adresse ON virksomhed_cvr_adresse.CVREnhedsId = virksomhed.id
    AND virksomhed_cvr_adresse.AdresseringAnvendelse = 'beliggenhedsadresse' [snippet_bitemp_virkning_cvr(virksomhed_cvr_adresse)]
-- Joins for produktionsenhed
LEFT JOIN CVR.Produktionsenhed penhed ON penhed.pNummer = ejerskab.produktionsenhedPNr [snippet_bitemp_virkning_cvr(penhed)]
LEFT JOIN CVR.Reklamebeskyttelse penhed_reklame_beskyttelse ON penhed_reklame_beskyttelse.CVREnhedsId = penhed.id [snippet_bitemp_virkning_cvr(penhed_reklame_beskyttelse)]
LEFT JOIN CVR.Navn penhed_navn ON penhed_navn.CVREnhedsId = penhed.id [snippet_bitemp_virkning_cvr(penhed_navn)]
LEFT JOIN CVR.Adressering penhed_cvr_adresse ON penhed_cvr_adresse.CVREnhedsId = penhed.id
    AND penhed_cvr_adresse.AdresseringAnvendelse = 'beliggenhedsadresse' [snippet_bitemp_virkning_cvr(penhed_cvr_adresse)]
-- Joins for person
LEFT JOIN CPR.Personnummer person_personnumre ON person_personnumre.personnummer = admin.personPersonNr [snippet_bitemp_virk(person_personnumre)]
LEFT JOIN CPR.Person person ON person.id = person_personnumre.personid [snippet_bitemp_virkning_cpr(person)]
LEFT JOIN CPR.Beskyttelse person_beskyttelse ON person_beskyttelse.personid = person.id [snippet_bitemp_virk(person_beskyttelse)]
LEFT JOIN CPR.Navn person_navn ON person_navn.personid = person.id  [snippet_bitemp_virk(person_navn)]
LEFT JOIN CPR.CprAdresse person_cpr_adresse ON person_cpr_adresse.personid = person.id [snippet_bitemp_virk(person_cpr_adresse)]
LEFT JOIN CPR.UdrejseIndrejse person_ud_ind_rejse ON person_ud_ind_rejse.personid = person.id [snippet_bitemp_virk(person_ud_ind_rejse)]
LEFT JOIN DAR.Adresse person_dar_adresse ON person_dar_adresse.id_lokalId = person_cpr_adresse.daradresse [snippet_bitemp_virkning(person_dar_adresse)]
-- Conditions for input parametre
WHERE admin.bestemtFastEjendomBFENr = @BFEnr
AND (@Status IS NULL OR (
         admin.status = @Status
    AND (pv.status IS NULL OR pv.status = @Status)
    AND (pv_alt_adresse.status IS NULL OR pv_alt_adresse.status = @Status)))
-- Bitemporalitet for administrator
[snippet_bitemp_virkning(admin)]
;