SELECT *
FROM Ejerskab ejerskab
-- Joins for ejende person-/virksomhedsoplysning
LEFT JOIN PersonVirksomhedsoplys ejende_pv ON ejende_pv.id_lokalId = ejerskab.ejeroplysningerLokalId [snippet_bitemp_virkning(ejende_pv)]
LEFT JOIN AlternativAdresse ejende_pv_alt_adresse ON ejende_pv_alt_adresse.id_lokalId = ejende_pv.alternativAdresseLokalId [snippet_bitemp_virkning(ejende_pv_alt_adresse)]
LEFT JOIN DAR.Adresse ejende_pv_dar_adresse ON ejende_pv_dar_adresse.id_lokalId = ejende_pv.adresseLokalId [snippet_bitemp_virkning(ejende_pv_dar_adresse)]
-- Joins for ejende virksomhed
LEFT JOIN CVR.Virksomhed ejende_virksomhed ON ejende_virksomhed.CVRNummer = ejerskab.ejendeVirksomhedCVRNr [snippet_bitemp_virkning_cvr(ejende_virksomhed)]
LEFT JOIN CVR.Reklamebeskyttelse ejende_virksomhed_reklame_beskyttelse ON ejende_virksomhed_reklame_beskyttelse.CVREnhedsId = ejende_virksomhed.id [snippet_bitemp_virkning_cvr(ejende_virksomhed_reklame_beskyttelse)]
LEFT JOIN CVR.Navn ejende_virksomhed_navn ON ejende_virksomhed_navn.CVREnhedsId = ejende_virksomhed.id [snippet_bitemp_virkning_cvr(ejende_virksomhed_navn)]
LEFT JOIN CVR.Adressering ejende_virksomhed_cvr_adresse ON ejende_virksomhed_cvr_adresse.CVREnhedsId = ejende_virksomhed.id
    AND ejende_virksomhed_cvr_adresse.AdresseringAnvendelse = 'beliggenhedsadresse' [snippet_bitemp_virkning_cvr(ejende_virksomhed_cvr_adresse)]
-- Joins for ejende person
LEFT JOIN CPR.Personnummer ejende_person_personnumre ON ejende_person_personnumre.personnummer = ejerskab.ejendePersonPersonNR [snippet_bitemp_virk(ejende_person_personnumre)]
LEFT JOIN CPR.Person ejende_person ON ejende_person.id = ejende_person_personnumre.personid [snippet_bitemp_virkning_cpr(ejende_person)]
LEFT JOIN CPR.Beskyttelse ejende_person_beskyttelse ON ejende_person_beskyttelse.personid = ejende_person.id [snippet_bitemp_virk(ejende_person_beskyttelse)]
LEFT JOIN CPR.Navn ejende_person_navn ON ejende_person_navn.personid = ejende_person.id 
    AND NOT EXISTS ([snippet_cpr_beskyttet(ejerskab, ejendePersonPersonNR)]) [snippet_bitemp_virk(ejende_person_navn)]
LEFT JOIN CPR.CprAdresse ejende_person_cpr_adresse ON ejende_person_cpr_adresse.personid = ejende_person.id
    AND NOT EXISTS ([snippet_cpr_beskyttet(ejerskab, ejendePersonPersonNR)]) [snippet_bitemp_virk(ejende_person_cpr_adresse)]
LEFT JOIN CPR.UdrejseIndrejse ejende_person_ud_ind_rejse ON ejende_person_ud_ind_rejse.personid = ejende_person.id
    AND NOT EXISTS ([snippet_cpr_beskyttet(ejerskab, ejendePersonPersonNR)]) [snippet_bitemp_virk(ejende_person_ud_ind_rejse)]
LEFT JOIN DAR.Adresse ejende_person_dar_adresse ON ejende_person_dar_adresse.id_lokalId = ejende_person_cpr_adresse.daradresse
    AND NOT EXISTS ([snippet_cpr_beskyttet(ejerskab, ejendePersonPersonNR)]) [snippet_bitemp_virkning(ejende_person_dar_adresse)]
-- Joins for administrerende person-/virksomhedsoplysning
LEFT JOIN PersonVirksomhedsoplys admin_pv ON admin_pv.id_lokalId = ejerskab.administratoroplysLokalId [snippet_bitemp_virkning(admin_pv)]
LEFT JOIN AlternativAdresse admin_pv_alt_adresse ON admin_pv_alt_adresse.id_lokalId = admin_pv.alternativAdresseLokalId [snippet_bitemp_virkning(admin_pv_alt_adresse)]
LEFT JOIN DAR.Adresse admin_pv_dar_adresse ON admin_pv_dar_adresse.id_lokalId = admin_pv.adresseLokalId [snippet_bitemp_virkning(admin_pv_dar_adresse)]
-- Joins for administrerende virksomhed
LEFT JOIN CVR.Virksomhed admin_virksomhed ON admin_virksomhed.CVRNummer = ejerskab.administrerendeVirksomhedCVRNr [snippet_bitemp_virkning_cvr(admin_virksomhed)]
LEFT JOIN CVR.Reklamebeskyttelse admin_virksomhed_reklame_beskyttelse ON admin_virksomhed_reklame_beskyttelse.CVREnhedsId = admin_virksomhed.id [snippet_bitemp_virkning_cvr(admin_virksomhed_reklame_beskyttelse)]
LEFT JOIN CVR.Navn admin_virksomhed_navn ON admin_virksomhed_navn.CVREnhedsId = admin_virksomhed.id [snippet_bitemp_virkning_cvr(admin_virksomhed_navn)]
LEFT JOIN CVR.Adressering admin_virksomhed_cvr_adresse ON admin_virksomhed_cvr_adresse.CVREnhedsId = admin_virksomhed.id
    AND admin_virksomhed_cvr_adresse.AdresseringAnvendelse = 'beliggenhedsadresse' [snippet_bitemp_virkning_cvr(admin_virksomhed_cvr_adresse)]
-- Joins for administrerende produktionsenhed
LEFT JOIN CVR.Produktionsenhed admin_penhed ON admin_penhed.pNummer = ejerskab.produktionsenhedPNr [snippet_bitemp_virkning_cvr(admin_penhed)]
LEFT JOIN CVR.Reklamebeskyttelse admin_penhed_reklame_beskyttelse ON admin_penhed_reklame_beskyttelse.CVREnhedsId = admin_penhed.id [snippet_bitemp_virkning_cvr(admin_penhed_reklame_beskyttelse)]
LEFT JOIN CVR.Navn admin_penhed_navn ON admin_penhed_navn.CVREnhedsId = admin_penhed.id [snippet_bitemp_virkning_cvr(admin_penhed_navn)]
LEFT JOIN CVR.Adressering admin_penhed_cvr_adresse ON admin_penhed_cvr_adresse.CVREnhedsId = admin_penhed.id
    AND admin_penhed_cvr_adresse.AdresseringAnvendelse = 'beliggenhedsadresse' [snippet_bitemp_virkning_cvr(admin_penhed_cvr_adresse)]
-- Joins for administrerende person
LEFT JOIN CPR.Personnummer admin_person_personnumre ON admin_person_personnumre.personnummer = ejerskab.administrerendePersonPersonNr [snippet_bitemp_virk(admin_person_personnumre)]
LEFT JOIN CPR.Person admin_person ON admin_person.id = admin_person_personnumre.personid [snippet_bitemp_virkning_cpr(admin_person)]
LEFT JOIN CPR.Beskyttelse admin_person_beskyttelse ON admin_person_beskyttelse.personid = admin_person.id [snippet_bitemp_virk(admin_person_beskyttelse)]
LEFT JOIN CPR.Navn admin_person_navn ON admin_person_navn.personid = admin_person.id 
    AND NOT EXISTS ([snippet_cpr_beskyttet(ejerskab, administrerendePersonPersonNr)]) [snippet_bitemp_virk(admin_person_navn)]
LEFT JOIN CPR.CprAdresse admin_person_cpr_adresse ON admin_person_cpr_adresse.personid = admin_person.id
    AND NOT EXISTS ([snippet_cpr_beskyttet(ejerskab, administrerendePersonPersonNr)]) [snippet_bitemp_virk(admin_person_cpr_adresse)]
LEFT JOIN CPR.UdrejseIndrejse admin_person_ud_ind_rejse ON admin_person_ud_ind_rejse.personid = admin_person.id
    AND NOT EXISTS ([snippet_cpr_beskyttet(ejerskab, administrerendePersonPersonNr)]) [snippet_bitemp_virk(admin_person_ud_ind_rejse)]
LEFT JOIN DAR.Adresse admin_person_dar_adresse ON admin_person_dar_adresse.id_lokalId = admin_person_cpr_adresse.daradresse
    AND NOT EXISTS ([snippet_cpr_beskyttet(ejerskab, administrerendePersonPersonNr)]) [snippet_bitemp_virkning(admin_person_dar_adresse)]

INNER JOIN EBR.EJENDOMSBELIGGENHED eb ON ejerskab.BESTEMTFASTEJENDOMBFENR = eb.BESTEMTFASTEJENDOMBFENR

--Filtrer på inputs
WHERE (@Kommunekode IS NULL OR eb.KOMMUNEINDDELINGKOMMUNEKODE = @Kommunekode)

-- Bitemporalitet for ejerskab
[snippet_bitemp_virkning(ejerskab)]

[snippet_bitemp_full_now(eb)]

AND (@Status IS NULL OR (
         ejerskab.status = @Status
    AND (ejende_pv.status IS NULL OR ejende_pv.status = @Status)
    AND (ejende_pv_alt_adresse.status IS NULL OR ejende_pv_alt_adresse.status = @Status)
    AND (admin_pv.status IS NULL OR admin_pv.status = @Status)
    AND (admin_pv_alt_adresse.status IS NULL OR admin_pv_alt_adresse.status = @Status)))

;